/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package at.jku.fim.rubanetra.config.model;


import org.jnetpcap.protocol.JProtocol;

/**
 * This interface serves as an identifier for a potential {@link org.jnetpcap.protocol.JProtocol}.
 * Since the current system utilizes the Kraken-library as main reference point, this interface is currently a
 * placeholder for future refinements.
 */
public interface JNetPcapProtocolId extends ProtocolId {

    /**
     * @return the represented {@link org.jnetpcap.protocol.JProtocol}
     */
    JProtocol getJNetPcapProtocol();
}
