/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package at.jku.fim.rubanetra.output.impl;

import at.jku.fim.rubanetra.output.OutputWriterStrategy;
import at.jku.fim.rubanetra.protocol.activity.Activity;

import java.io.IOException;

/**
 * This implementation of the {@link at.jku.fim.rubanetra.output.OutputWriterStrategy} does nothing.
 * May be useful for debugging purposes without wasting I/O resources.
 */
public class NopOutputWriterStrategy implements OutputWriterStrategy {
    @Override
    public void writeActivity(Activity activity) {
        // do nothing
    }

    @Override
    public void closeWriter() throws IOException {
        // do nothing
    }
}
