/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package at.jku.fim.rubanetra.pcap;

/**
 * A listener interface for packet capture activities produced by implementations of a
 * {@link at.jku.fim.rubanetra.pcap.PcapHandler}.
 */
public interface PcapActivityListener {
    /**
     * Do something useful with the Layer 1 packet capture metadata and the actually parsed content
     *
     * @param pcapActivity the wrapper of the JNetPcap specific {@link org.jnetpcap.packet.PcapPacket} that was parsed
     *                     by a {@link at.jku.fim.rubanetra.pcap.PcapHandler}.
     */
    public abstract void processPcapActivity(PcapActivity pcapActivity);
}
