/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package at.jku.fim.rubanetra.protocol.activity;


/**
 * Extension of the {@link at.jku.fim.rubanetra.protocol.activity.Activity} interface, it provides
 * methods to replace, in addition to extend, an activity.
 */
public interface ReplaceableActivity extends Activity {
    /**
     * @return true, iff this activity has been replaced by at least one other activity.
     */
    public boolean isReplaced();

    /**
     * Indicate, that this activity has been replaced.
     *
     * @param isReplaced whether or not this activity will be replaced by the caller.
     */
    public void setReplaced(boolean isReplaced);
}
